module FoxyCart
  module APIOperations
    module Create
      module ClassMethods
        def create(params={})
          response = FoxyCart.request(:post, self.url, params)
          Util.convert_to_stripe_object(response, api_key)
        end
      end

      def self.included(base)
        base.extend(ClassMethods)
      end
    end
  end
end
